# Class Constants

java.lang.Object
org.apache.tomcat.util.scan.Constants

public final class Constants extends Object
String constants for the scan package.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`JAR_EXT`
`static final String`
`Package`
`static final String`
`SCAN_JARS_PROPERTY`
`static final String`
`SKIP_JARS_PROPERTY`
`static final String`
`WEB_INF_CLASSES`
`static final String`
`WEB_INF_LIB`

## Constructor Summary

Constructors
Constructor
Description
`Constants()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### Package

public static final String Package

See Also:
  - Constant Field Values

### SKIP_JARS_PROPERTY

public static final String SKIP_JARS_PROPERTY

See Also:
  - Constant Field Values

### SCAN_JARS_PROPERTY

public static final String SCAN_JARS_PROPERTY

See Also:
  - Constant Field Values

### JAR_EXT

public static final String JAR_EXT

See Also:
  - Constant Field Values

### WEB_INF_LIB

public static final String WEB_INF_LIB

See Also:
  - Constant Field Values

### WEB_INF_CLASSES

public static final String WEB_INF_CLASSES

See Also:
  - Constant Field Values

## Constructor Details

### Constants

public Constants()